/*
 EasySFTP - Copyright (C) 2010 Kuri-Applications

 LinkDlg.h - declarations of CLinkDialog
 */

#pragma once

class CLinkDialog : public CMyDialog
{
public:
	CLinkDialog();
	virtual ~CLinkDialog();

	enum { IDD = IDD_NEWLINK };

public:
	_StringW m_strCurDir;
	_StringW m_strLinkTo;
	_StringW m_strFileName;
	bool m_bHardLink;
	bool m_bAllowHardLink;

protected:
	bool m_bFileNameChanged;

	virtual LRESULT WindowProc(UINT message, WPARAM wParam, LPARAM lParam);
	virtual bool OnInitDialog(HWND hWndFocus);
	LRESULT OnOK(WPARAM wParam, LPARAM lParam);
	LRESULT OnLinkEditChange(WPARAM wParam, LPARAM lParam);
	LRESULT OnFileNameEditChange(WPARAM wParam, LPARAM lParam);
};
